Bug 286227 - After save Custom Equilizer Preset Amarok crashed [@EqualizerDialog::eqSelectedPresetName]
Summary: After save Custom Equilizer Preset Amarok crashed [@EqualizerDialog::eqSelect...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Tools/Equalizer (show other bugs)
Version: 2.4.3
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: 2.6
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-09 21:37 UTC by Uriel.home
Modified: 2012-01-31 21:16 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.6


Attachments
New crash information added by DrKonqi (28.30 KB, text/plain)
2011-12-14 14:06 UTC, archsec
Details
New crash information added by DrKonqi (29.15 KB, text/plain)
2012-01-25 06:18 UTC, Bobbah
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Uriel.home 2011-11-09 21:37:31 UTC
Application: amarok (2.4.3)
KDE Platform Version: 4.7.2 (4.7.2)
Qt Version: 4.7.4
Operating System: Linux 3.0.0-13-generic-pae i686
Distribution: Ubuntu 11.10

-- Information about the crash:
After configuring a custom preset on the equilizer I klicked on the save button and amarok crashed. While I configured the equilizer amarok played mp3 files.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xafccc720 (LWP 721))]

Thread 15 (Thread 0xa4bd4b70 (LWP 726)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb572840e in __GI___poll (fds=0xa26fad8, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb456f34b in g_poll () from /lib/i386-linux-gnu/libglib-2.0.so.0
#3  0xb4560896 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#4  0xb4560c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#5  0xb5a7fb37 in QEventDispatcherGlib::processEvents (this=0x9d81f18, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#6  0xb5a501dd in QEventLoop::processEvents (this=0xa4bd41f0, flags=...) at kernel/qeventloop.cpp:149
#7  0xb5a50421 in QEventLoop::exec (this=0xa4bd41f0, flags=...) at kernel/qeventloop.cpp:201
#8  0xb595390b in QThread::exec (this=0xa24bd60) at thread/qthread.cpp:498
#9  0xb5a30e2d in QInotifyFileSystemWatcherEngine::run (this=0xa24bd60) at io/qfilesystemwatcher_inotify.cpp:248
#10 0xb59567b3 in QThreadPrivate::start (arg=0xa24bd60) at thread/qthread_unix.cpp:331
#11 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#12 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 14 (Thread 0xa2f11b70 (LWP 732)):
#0  0xb438ed10 in __GI_clock_gettime (clock_id=1, tp=0xa2f10ff8) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb59ad7d5 in do_gettime (frac=0xa2f10ff0, sec=0xa2f10fe8) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5a804b6 in QTimerInfoList::updateCurrentTime (this=0xa2bd3bc) at kernel/qeventdispatcher_unix.cpp:339
#4  0xb5a80086 in timerSourceCheckHelper (src=0xa2bd388) at kernel/qeventdispatcher_glib.cpp:150
#5  timerSourceCheckHelper (src=0xa2bd388) at kernel/qeventdispatcher_glib.cpp:144
#6  0xb455ff24 in g_main_context_check () from /lib/i386-linux-gnu/libglib-2.0.so.0
#7  0xb45608f0 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb4560c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb5a7fb37 in QEventDispatcherGlib::processEvents (this=0xa310198, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#10 0xb5a501dd in QEventLoop::processEvents (this=0xa2f11220, flags=...) at kernel/qeventloop.cpp:149
#11 0xb5a50421 in QEventLoop::exec (this=0xa2f11220, flags=...) at kernel/qeventloop.cpp:201
#12 0xb595390b in QThread::exec (this=0xa2bb278) at thread/qthread.cpp:498
#13 0xb59539fb in QThread::run (this=0xa2bb278) at thread/qthread.cpp:565
#14 0xb59567b3 in QThreadPrivate::start (arg=0xa2bb278) at thread/qthread_unix.cpp:331
#15 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#16 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 13 (Thread 0xa1e68b70 (LWP 734)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa495870, mutex=0xa495858) at forward.c:139
#3  0xb5956cc0 in wait (time=4294967295, this=0xa495858) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa495758, mutex=0xa4959f8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f5e406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa495740, th=0xa495cf0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f60ecb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa495ad8, th=0xa495cf0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f5e03a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa495740, th=0xa495cf0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f60fcc in ThreadWeaver::WorkingHardState::applyForWork (this=0xa495ad8, th=0xa495cf0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f5df93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa495740, th=0xa495cf0, previous=0xbb3abc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f5fb14 in ThreadWeaver::ThreadRunHelper::run (this=0xa1e68254, parent=0xa495740, th=0xa495cf0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4f5fbca in ThreadWeaver::Thread::run (this=0xa495cf0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb59567b3 in QThreadPrivate::start (arg=0xa495cf0) at thread/qthread_unix.cpp:331
#13 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#14 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 12 (Thread 0xa037cb70 (LWP 735)):
#0  0xb438ed10 in __GI_clock_gettime (clock_id=1, tp=0xa037bf68) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb59ad7d5 in do_gettime (frac=0xa037bf60, sec=0xa037bf58) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb5a804b6 in QTimerInfoList::updateCurrentTime (this=0xa5f2dc4) at kernel/qeventdispatcher_unix.cpp:339
#4  0xb5a8080a in QTimerInfoList::timerWait (this=0xa5f2dc4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb5a7f053 in timerSourcePrepareHelper (src=<optimized out>, timeout=0xa037c06c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb5a7f0ed in timerSourcePrepare (source=0xa5f2d90, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb455f88c in g_main_context_prepare () from /lib/i386-linux-gnu/libglib-2.0.so.0
#8  0xb4560637 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#9  0xb4560c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#10 0xb5a7fb37 in QEventDispatcherGlib::processEvents (this=0xa5f2be0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#11 0xb5a501dd in QEventLoop::processEvents (this=0xa037c1f0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb5a50421 in QEventLoop::exec (this=0xa037c1f0, flags=...) at kernel/qeventloop.cpp:201
#13 0xb595390b in QThread::exec (this=0xa1587f38) at thread/qthread.cpp:498
#14 0xb5a30e2d in QInotifyFileSystemWatcherEngine::run (this=0xa1587f38) at io/qfilesystemwatcher_inotify.cpp:248
#15 0xb59567b3 in QThreadPrivate::start (arg=0xa1587f38) at thread/qthread_unix.cpp:331
#16 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#17 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 11 (Thread 0x9fb7bb70 (LWP 736)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa495870, mutex=0xa495858) at forward.c:139
#3  0xb5956cc0 in wait (time=4294967295, this=0xa495858) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa495758, mutex=0xa4959f8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f5e406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa495740, th=0xa610cc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f60ecb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa495ad8, th=0xa610cc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f5e03a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa495740, th=0xa610cc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f60fcc in ThreadWeaver::WorkingHardState::applyForWork (this=0xa495ad8, th=0xa610cc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f5df93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa495740, th=0xa610cc0, previous=0x95d733e8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f5fb14 in ThreadWeaver::ThreadRunHelper::run (this=0x9fb7b254, parent=0xa495740, th=0xa610cc0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4f5fbca in ThreadWeaver::Thread::run (this=0xa610cc0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb59567b3 in QThreadPrivate::start (arg=0xa610cc0) at thread/qthread_unix.cpp:331
#13 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#14 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 10 (Thread 0x9f37ab70 (LWP 737)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa495870, mutex=0xa495858) at forward.c:139
#3  0xb5956cc0 in wait (time=4294967295, this=0xa495858) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa495758, mutex=0xa4959f8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f5e406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa495740, th=0xa5f33c8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f60ecb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa495ad8, th=0xa5f33c8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f5e03a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa495740, th=0xa5f33c8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f60fcc in ThreadWeaver::WorkingHardState::applyForWork (this=0xa495ad8, th=0xa5f33c8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f5df93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa495740, th=0xa5f33c8, previous=0x9392a658) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f5fb14 in ThreadWeaver::ThreadRunHelper::run (this=0x9f37a254, parent=0xa495740, th=0xa5f33c8) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4f5fbca in ThreadWeaver::Thread::run (this=0xa5f33c8) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb59567b3 in QThreadPrivate::start (arg=0xa5f33c8) at thread/qthread_unix.cpp:331
#13 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#14 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 9 (Thread 0x9eb79b70 (LWP 738)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa495870, mutex=0xa495858) at forward.c:139
#3  0xb5956cc0 in wait (time=4294967295, this=0xa495858) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0xa495758, mutex=0xa4959f8, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4f5e406 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa495740, th=0xa602460) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4f60ecb in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0xa495ad8, th=0xa602460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4f5e03a in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa495740, th=0xa602460) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4f60fcc in ThreadWeaver::WorkingHardState::applyForWork (this=0xa495ad8, th=0xa602460) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4f5df93 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa495740, th=0xa602460, previous=0xb892bf0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4f5fb14 in ThreadWeaver::ThreadRunHelper::run (this=0x9eb79254, parent=0xa495740, th=0xa602460) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4f5fbca in ThreadWeaver::Thread::run (this=0xa602460) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb59567b3 in QThreadPrivate::start (arg=0xa602460) at thread/qthread_unix.cpp:331
#13 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#14 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 8 (Thread 0x9e1ffb70 (LWP 739)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xb4164430, mutex=0xb4164418) at forward.c:139
#3  0xb3a43883 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb3a4399f in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#6  0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 7 (Thread 0x9d0ceb70 (LWP 746)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xb4ad4a50, mutex=0xb4ad4a38) at forward.c:139
#3  0xb49cf9a9 in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb49cf9ef in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#6  0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 6 (Thread 0xa2698b70 (LWP 4591)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa1d5f70, mutex=0xa1d4fe0) at forward.c:139
#3  0xa584e566 in gst_queue_chain (pad=0xa1cd260, buffer=0x95d7daa0) at gstqueue.c:1013
#4  0xb1e9571e in gst_pad_push (pad=0xa1d3ad0, buffer=0x95d7daa0) at gstpad.c:4684
#5  0xb1e7dcec in gst_proxy_pad_do_chain (pad=0xa1d33b8, buffer=0x95d7daa0) at gstghostpad.c:171
#6  0xb1e9571e in gst_pad_push (pad=0xa1d6650, buffer=0x95d7daa0) at gstpad.c:4684
#7  0xa585cae9 in gst_tee_do_push (is_list=0, data=0x95d7daa0, pad=0xa1d6650, tee=0xa1c3818) at gsttee.c:674
#8  gst_tee_handle_data (tee=0xa1c3818, data=0x95d7daa0, is_list=0) at gsttee.c:753
#9  0xa585cee8 in gst_tee_chain (pad=0xa07e710, buffer=0x95d7daa0) at gsttee.c:827
#10 0xb1e9571e in gst_pad_push (pad=0xa1bb4b8, buffer=0x95d7daa0) at gstpad.c:4684
#11 0xa584fb3a in gst_queue_push_one (queue=0xa1be1f8) at gstqueue.c:1155
#12 gst_queue_loop (pad=0xa1bb4b8) at gstqueue.c:1263
#13 0xb1ebeee0 in gst_task_func (task=0x95d86f30) at gsttask.c:318
#14 0xb1ec0188 in default_func (tdata=0xb852b50, pool=0x9f24c08) at gsttaskpool.c:70
#15 0xb4589a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#16 0xb45875f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#17 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#18 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 5 (Thread 0x938ffb70 (LWP 4592)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa06eb00, mutex=0x9c60408) at forward.c:139
#3  0xa584e566 in gst_queue_chain (pad=0xa07e580, buffer=0x95dff240) at gstqueue.c:1013
#4  0xb1e9571e in gst_pad_push (pad=0xa1c2818, buffer=0x95dff240) at gstpad.c:4684
#5  0xb1e7dcec in gst_proxy_pad_do_chain (pad=0xa1c2098, buffer=0x95dff240) at gstghostpad.c:171
#6  0xb1e9571e in gst_pad_push (pad=0x9877cb30, buffer=0x95dff240) at gstpad.c:4684
#7  0xa585cae9 in gst_tee_do_push (is_list=0, data=0x95dff240, pad=0x9877cb30, tee=0xa1c3978) at gsttee.c:674
#8  gst_tee_handle_data (tee=0xa1c3978, data=0x95dff240, is_list=0) at gsttee.c:753
#9  0xa585cee8 in gst_tee_chain (pad=0xa1cd0d0, buffer=0x95dff240) at gsttee.c:827
#10 0xb1e9571e in gst_pad_push (pad=0xa1d32d0, buffer=0x95dff240) at gstpad.c:4684
#11 0xb1e7dcec in gst_proxy_pad_do_chain (pad=0xa1d39f8, buffer=0x95dff240) at gstghostpad.c:171
#12 0xb1e9571e in gst_pad_push (pad=0xa1cd648, buffer=0x95dff240) at gstpad.c:4684
#13 0xb1f59979 in gst_base_transform_chain (pad=0xa1cd580, buffer=0x95dff240) at gstbasetransform.c:2458
#14 0xb1e9571e in gst_pad_push (pad=0xa1cd4b8, buffer=0x95dff240) at gstpad.c:4684
#15 0xb1f59979 in gst_base_transform_chain (pad=0xa1cd3f0, buffer=0x95dff240) at gstbasetransform.c:2458
#16 0xb1e9571e in gst_pad_push (pad=0xa1cd328, buffer=0x95dff240) at gstpad.c:4684
#17 0xa584fb3a in gst_queue_push_one (queue=0xa1be598) at gstqueue.c:1155
#18 gst_queue_loop (pad=0xa1cd328) at gstqueue.c:1263
#19 0xb1ebeee0 in gst_task_func (task=0x95d86ea8) at gsttask.c:318
#20 0xb1ec0188 in default_func (tdata=0xb8ca0b0, pool=0x9f24c08) at gsttaskpool.c:70
#21 0xb4589a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#22 0xb45875f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#23 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#24 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 4 (Thread 0x930feb70 (LWP 4593)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0xa1caca0, mutex=0xa1caf80) at forward.c:139
#3  0xa584e566 in gst_queue_chain (pad=0xa1bb3f0, buffer=0x95d5d470) at gstqueue.c:1013
#4  0xb1e9571e in gst_pad_push (pad=0xa1c29c8, buffer=0x95d5d470) at gstpad.c:4684
#5  0xb1e7dcec in gst_proxy_pad_do_chain (pad=0xa1c2268, buffer=0x95d5d470) at gstghostpad.c:171
#6  0xb1e9571e in gst_pad_push (pad=0xbc0dce8, buffer=0x95d5d470) at gstpad.c:4684
#7  0xb1e7dcec in gst_proxy_pad_do_chain (pad=0x987969d8, buffer=0x95d5d470) at gstghostpad.c:171
#8  0xb1e9571e in gst_pad_push (pad=0x93907588, buffer=0x95d5d470) at gstpad.c:4684
#9  0x94ffa6b5 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#10 0x94ffb7d7 in ?? () from /usr/lib/gstreamer-0.10/libgstflump3dec.so
#11 0xb1e9571e in gst_pad_push (pad=0x939070d8, buffer=0xa071070) at gstpad.c:4684
#12 0xb1f34212 in gst_base_parse_push_frame (parse=0xa9fbc98, frame=0x930fe100) at gstbaseparse.c:1909
#13 0xb1f3531e in gst_base_parse_handle_and_push_frame (parse=0xa9fbc98, frame=0x930fe100, klass=<optimized out>) at gstbaseparse.c:1692
#14 0xb1f37fd0 in gst_base_parse_loop (pad=0x93907010) at gstbaseparse.c:2631
#15 0xb1ebeee0 in gst_task_func (task=0x90f5ace0) at gsttask.c:318
#16 0xb1ec0188 in default_func (tdata=0xaf7ec10, pool=0x9f24c08) at gsttaskpool.c:70
#17 0xb4589a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#18 0xb45875f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#19 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#20 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 3 (Thread 0x91effb70 (LWP 9223)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb480ba5c in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb5744cfc in __pthread_cond_wait (cond=0x9c5d6a0, mutex=0x9c55b10) at forward.c:139
#3  0xb1f41a5f in gst_base_sink_wait_preroll (sink=0xa082518) at gstbasesink.c:2261
#4  0xaa26099c in ?? () from /usr/lib/libgstaudio-0.10.so.0
#5  0xb1f46cb7 in gst_base_sink_render_object (basesink=0xa082518, obj_type=<optimized out>, obj=0x91500808, pad=<optimized out>) at gstbasesink.c:3005
#6  0xb1f4887b in gst_base_sink_queue_object_unlocked (basesink=0xa082518, obj_type=2 '\002', obj=0x91500808, prerollable=1, pad=<optimized out>) at gstbasesink.c:3286
#7  0xb1f48de5 in gst_base_sink_chain_unlocked (basesink=0xa082518, obj_type=2 '\002', obj=0x91500808, pad=<optimized out>) at gstbasesink.c:3665
#8  0xb1f49263 in gst_base_sink_chain_main (basesink=<optimized out>, pad=0xa07e328, obj_type=2 '\002', obj=0x91500808) at gstbasesink.c:3703
#9  0xb1e9571e in gst_pad_push (pad=0xa07e4b8, buffer=0x91500808) at gstpad.c:4684
#10 0xb1f59979 in gst_base_transform_chain (pad=0xa07e3f0, buffer=0x91500808) at gstbasetransform.c:2458
#11 0xb1e9571e in gst_pad_push (pad=0xa07e648, buffer=0x91500808) at gstpad.c:4684
#12 0xb1f59979 in gst_base_transform_chain (pad=0xa07e008, buffer=0x91500808) at gstbasetransform.c:2458
#13 0xb1e9571e in gst_pad_push (pad=0xa07e260, buffer=0x91500808) at gstpad.c:4684
#14 0xb1f59979 in gst_base_transform_chain (pad=0xa07e198, buffer=0x91500808) at gstbasetransform.c:2458
#15 0xb1e9571e in gst_pad_push (pad=0xa07e0d0, buffer=0x91500808) at gstpad.c:4684
#16 0xa584fb3a in gst_queue_push_one (queue=0xa1be028) at gstqueue.c:1155
#17 gst_queue_loop (pad=0xa07e0d0) at gstqueue.c:1263
#18 0xb1ebeee0 in gst_task_func (task=0x95d86e20) at gsttask.c:318
#19 0xb1ec0188 in default_func (tdata=0xb852b48, pool=0x9f24c08) at gsttaskpool.c:70
#20 0xb4589a27 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#21 0xb45875f4 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#22 0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#23 0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 2 (Thread 0xaa250b70 (LWP 11910)):
#0  0xb778e424 in __kernel_vsyscall ()
#1  0xb572840e in __GI___poll (fds=0xbac62c0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb41ac246 in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#3  0xb419a4ea in pa_mainloop_poll () from /usr/lib/i386-linux-gnu/libpulse.so.0
#4  0xb419ad47 in pa_mainloop_iterate () from /usr/lib/i386-linux-gnu/libpulse.so.0
#5  0xb419ae24 in pa_mainloop_run () from /usr/lib/i386-linux-gnu/libpulse.so.0
#6  0xb41ac1ce in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#7  0xb20b0216 in ?? () from /usr/lib/i386-linux-gnu/libpulsecommon-1.0.so
#8  0xb19a19cd in ?? () from /usr/lib/nvidia-current-updates/libGL.so.1
#9  0xb57370ce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
Backtrace stopped: Not enough registers or memory available to unwind further

Thread 1 (Thread 0xafccc720 (LWP 721)):
[KCrash Handler]
#7  ref (this=0x4) at /usr/include/qt4/QtCore/qatomic_i386.h:120
#8  QString (other=<optimized out>, this=0xbf941400) at /usr/include/qt4/QtCore/qstring.h:729
#9  EqualizerDialog::eqSelectedPresetName (this=0xba03908) at ../../src/dialogs/EqualizerDialog.cpp:287
#10 0xb700f7c8 in EqualizerDialog::eqPresetChanged (this=0xba03908, index=23) at ../../src/dialogs/EqualizerDialog.cpp:180
#11 0xb70113b5 in EqualizerDialog::qt_metacall (this=0xba03908, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbf941538) at ./EqualizerDialog.moc:86
#12 0xb5a57b7d in metacall (argv=0xbf941538, idx=74, cl=QMetaObject::InvokeMetaMethod, object=0xba03908) at kernel/qmetaobject.cpp:237
#13 QMetaObject::metacall (object=0xba03908, cl=QMetaObject::InvokeMetaMethod, idx=74, argv=0xbf941538) at kernel/qmetaobject.cpp:232
#14 0xb5a66a6a in QMetaObject::activate (sender=0xb8f7b68, m=0xb68fa6c4, local_signal_index=5, argv=0xbf941538) at kernel/qobject.cpp:3278
#15 0xb63de605 in QComboBox::currentIndexChanged (this=0xb8f7b68, _t1=23) at .moc/release-shared/moc_qcombobox.cpp:302
#16 0xb63de69f in QComboBoxPrivate::_q_emitCurrentIndexChanged (this=0xbba1f48, index=...) at widgets/qcombobox.cpp:1269
#17 0xb63de82f in QComboBoxPrivate::setCurrentIndex (this=0xbba1f48, mi=...) at widgets/qcombobox.cpp:2027
#18 0xb63de976 in QComboBox::setCurrentIndex (this=0xb8f7b68, index=23) at widgets/qcombobox.cpp:2010
#19 0xb63e2c14 in QComboBoxPrivate::_q_returnPressed (this=0xbba1f48) at widgets/qcombobox.cpp:1228
#20 0xb63e2f82 in QComboBox::qt_metacall (this=0xb8f7b68, _c=QMetaObject::InvokeMetaMethod, _id=16, _a=0xbf9417a4) at .moc/release-shared/moc_qcombobox.cpp:195
#21 0xb5a57b7d in metacall (argv=0xbf9417a4, idx=43, cl=QMetaObject::InvokeMetaMethod, object=0xb8f7b68) at kernel/qmetaobject.cpp:237
#22 QMetaObject::metacall (object=0xb8f7b68, cl=QMetaObject::InvokeMetaMethod, idx=43, argv=0xbf9417a4) at kernel/qmetaobject.cpp:232
#23 0xb5a66a6a in QMetaObject::activate (sender=0xb8fb218, m=0xb68fb7fc, local_signal_index=3, argv=0x0) at kernel/qobject.cpp:3278
#24 0xb641e2e5 in QLineEdit::returnPressed (this=0xb8fb218) at .moc/release-shared/moc_qlineedit.cpp:262
#25 0xb641e7f0 in QLineEdit::qt_metacall (this=0xb8fb218, _c=QMetaObject::InvokeMetaMethod, _id=3, _a=0xbf9418d4) at .moc/release-shared/moc_qlineedit.cpp:161
#26 0xb5a57b7d in metacall (argv=0xbf9418d4, idx=30, cl=QMetaObject::InvokeMetaMethod, object=0xb8fb218) at kernel/qmetaobject.cpp:237
#27 QMetaObject::metacall (object=0xb8fb218, cl=QMetaObject::InvokeMetaMethod, idx=30, argv=0xbf9418d4) at kernel/qmetaobject.cpp:232
#28 0xb5a66a6a in QMetaObject::activate (sender=0xb8fb3a8, m=0xb69098d8, local_signal_index=7, argv=0x0) at kernel/qobject.cpp:3278
#29 0xb66c59f5 in QLineControl::accepted (this=0xb8fb3a8) at .moc/release-shared/moc_qlinecontrol_p.cpp:159
#30 0xb6425d0f in QLineControl::processKeyEvent (this=0xb8fb3a8, event=0xbf942084) at widgets/qlinecontrol.cpp:1617
#31 0xb64199bb in QLineEdit::keyPressEvent (this=0xb8fb218, event=0xbf942084) at widgets/qlineedit.cpp:1668
#32 0xb600703c in QWidget::event (this=0xb8fb218, event=0xbf942084) at kernel/qwidget.cpp:8330
#33 0xb641c3bb in QLineEdit::event (this=0xb8fb218, e=0xbf942084) at widgets/qlineedit.cpp:1485
#34 0xb63dfabe in QComboBox::keyPressEvent (this=0xb8f7b68, e=0xbf942084) at widgets/qcombobox.cpp:3024
#35 0xb600703c in QWidget::event (this=0xb8f7b68, event=0xbf942084) at kernel/qwidget.cpp:8330
#36 0xb63dc2de in QComboBox::event (this=0xb8f7b68, event=0xbf942084) at widgets/qcombobox.cpp:2842
#37 0xb5facd54 in notify_helper (e=0xbf942084, receiver=0xb8f7b68, this=0x9d72ce0) at kernel/qapplication.cpp:4486
#38 QApplicationPrivate::notify_helper (this=0x9d72ce0, receiver=0xb8f7b68, e=0xbf942084) at kernel/qapplication.cpp:4458
#39 0xb5fb2c07 in QApplication::notify (this=0xb8f7b68, receiver=0xb8f7b68, e=0xbf942084) at kernel/qapplication.cpp:3945
#40 0xb7512681 in KApplication::notify (this=0xbf942a04, receiver=0xb8f7b68, event=0xbf942084) at ../../kdeui/kernel/kapplication.cpp:311
#41 0xb5a5119e in QCoreApplication::notifyInternal (this=0xbf942a04, receiver=0xb8f7b68, event=0xbf942084) at kernel/qcoreapplication.cpp:787
#42 0xb5faab6d in sendSpontaneousEvent (event=0xbf942084, receiver=0xb8f7b68) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#43 qt_sendSpontaneousEvent (receiver=0xb8f7b68, event=0xbf942084) at kernel/qapplication.cpp:5480
#44 0xb60608b1 in QKeyMapper::sendKeyEvent (keyWidget=0xb8f7b68, grab=false, type=QEvent::KeyPress, code=16777220, modifiers=..., text=..., autorepeat=false, count=-1080811388, nativeScanCode=2949433120, nativeVirtualKey=2949433120, nativeModifiers=2949433120) at kernel/qkeymapper_x11.cpp:1866
#45 0xb6060d55 in QKeyMapperPrivate::translateKeyEvent (this=0x9da6970, keyWidget=0xb8f7b68, event=0xbf94266c, grab=false) at kernel/qkeymapper_x11.cpp:1836
#46 0xb60389f5 in QApplication::x11ProcessEvent (this=0xbf942a04, event=0xbf94266c) at kernel/qapplication_x11.cpp:3583
#47 0xb606524c in x11EventSourceDispatch (s=0x9d76140, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#48 0xb456025f in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#49 0xb4560990 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#50 0xb4560c2a in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#51 0xb5a7fada in QEventDispatcherGlib::processEvents (this=0x9c1c248, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#52 0xb6064e3a in QGuiEventDispatcherGlib::processEvents (this=0x9c1c248, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#53 0xb5a501dd in QEventLoop::processEvents (this=0xbf942974, flags=...) at kernel/qeventloop.cpp:149
#54 0xb5a50421 in QEventLoop::exec (this=0xbf942974, flags=...) at kernel/qeventloop.cpp:201
#55 0xb5a5519d in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1064
#56 0xb5faa8f4 in QApplication::exec () at kernel/qapplication.cpp:3760
#57 0x0804ffc2 in main (argc=0, argv=0x0) at ../../src/main.cpp:289

Reported using DrKonqi
Comment 1 archsec 2011-12-14 14:06:28 UTC
Created attachment 66737 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.2 (4.7.2) using Qt 4.7.4

- What I was doing when the application crashed:

When editing equalizer, I write non-existing name of new preset, press enter, amarok dies instantly

-- Backtrace (Reduced):
#7  0xb7061623 in EqualizerDialog::eqSelectedPresetName (this=0xb9680a8) at ../../src/dialogs/EqualizerDialog.cpp:287
#8  0xb70627c8 in EqualizerDialog::eqPresetChanged (this=0xb9680a8, index=20) at ../../src/dialogs/EqualizerDialog.cpp:180
#9  0xb70643b5 in EqualizerDialog::qt_metacall (this=0xb9680a8, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbff5dd78) at ./EqualizerDialog.moc:86
#10 0xb5aaab7d in metacall (argv=0xbff5dd78, idx=74, cl=QMetaObject::InvokeMetaMethod, object=0xb9680a8) at kernel/qmetaobject.cpp:237
[...]
#13 0xb6431605 in QComboBox::currentIndexChanged (this=0xb4d14f0, _t1=20) at .moc/release-shared/moc_qcombobox.cpp:302
Comment 2 Myriam Schweingruber 2011-12-14 22:20:29 UTC
Confirmed by duplicate.
Comment 3 Bobbah 2012-01-25 06:18:50 UTC
Created attachment 68153 [details]
New crash information added by DrKonqi

amarok (2.4.3) on KDE Platform 4.7.4 (4.7.4) using Qt 4.7.4

- What I was doing when the application crashed: Surf on the web, play music and adjust the Equalizer.

-- Backtrace (Reduced):
#8  QString (other=<optimized out>, this=0xbfd6dfc0) at /usr/include/qt4/QtCore/qstring.h:729
#9  EqualizerDialog::eqSelectedPresetName (this=0xae4f8d8) at ../../src/dialogs/EqualizerDialog.cpp:287
#10 0xb6fe47d8 in EqualizerDialog::eqPresetChanged (this=0xae4f8d8, index=21) at ../../src/dialogs/EqualizerDialog.cpp:180
#11 0xb6fe63c5 in EqualizerDialog::qt_metacall (this=0xae4f8d8, _c=QMetaObject::InvokeMetaMethod, _id=<optimized out>, _a=0xbfd6e0f8) at ./EqualizerDialog.moc:86
#12 0xb5a2cb7d in metacall (argv=0xbfd6e0f8, idx=74, cl=QMetaObject::InvokeMetaMethod, object=0xae4f8d8) at kernel/qmetaobject.cpp:237
Comment 4 Daniel Faust 2012-01-31 21:16:10 UTC
Git commit cd76b2ccd50f0c83dadd295022ba37b683473619 by Daniel Faust.
Committed on 31/01/2012 at 22:10.
Pushed by dfaust into branch 'master'.

Fix crash when trying to save custom equalizer presets.

This also improves the UI a little bit (deactivates unusable buttons).

Also it prohibits saving a 'Manual' profile in non-english versions.
Overwriting default presets still doesn't work in non-english versions, though.
FIXED-IN:2.6

M  +1    -0    ChangeLog
M  +19   -11   src/dialogs/EqualizerDialog.cpp

http://commits.kde.org/amarok/cd76b2ccd50f0c83dadd295022ba37b683473619